#ifndef HASH_HPP
#define HASH_HPP

#include <xxhash.h>
#include <string>

namespace dropshell {

    XXH64_hash_t hash_file(const std::string &path);

    XXH64_hash_t hash_directory_recursive(const std::string &path);

} // namespace dropshell


#endif